package com.kingdee.eas.custom.notify;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.Context;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.bos.util.*;

public interface INotifyTodo extends ICoreBillBase
{
    public NotifyTodoCollection getNotifyTodoCollection() throws BOSException;
    public NotifyTodoCollection getNotifyTodoCollection(EntityViewInfo view) throws BOSException;
    public NotifyTodoCollection getNotifyTodoCollection(String oql) throws BOSException;
    public NotifyTodoInfo getNotifyTodoInfo(IObjectPK pk) throws BOSException, EASBizException;
    public NotifyTodoInfo getNotifyTodoInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException;
    public NotifyTodoInfo getNotifyTodoInfo(String oql) throws BOSException, EASBizException;
    public void updateTodo(UpdateContentInfo content) throws BOSException, EASBizException;
    public void sendTodo(SendContextInfo content) throws BOSException, EASBizException;
    public void setTodoDone(RemoveContextInfo content) throws BOSException, EASBizException;
    public void deleteTodo(RemoveContextInfo content) throws BOSException, EASBizException;
}